sc::RedundantCartesianIterCCA Class Reference
Inheritance diagram for sc::RedundantCartesianIterCCA:
[legend]
Collaboration diagram for sc::RedundantCartesianIterCCA:
[legend]

## Public Member Functions

| RedundantCartesianIterCCA (int l)
int | bfn ()
| Return the current Cartesian basis function number.
Public Member Functions inherited from sc::RedundantCartesianIter
| RedundantCartesianIter (int l)
| Create a object for the given angular momentum.
void | start ()
| Initialize the iterator.
void | next ()
| Move to the next combination of axes.
| operator int ()
| Returns nonzero if the iterator currently hold valid data.
int | a ()
| The current exponent of x.
int | b ()
| The current exponent of y.
int | c ()
| The current exponent of z.
int | l ()
| The angular momentum.
int | l (int i)
| Returns a() if i==0, b() if i==1, and c() if i==2.
int | axis (int i)
| Return the i'th axis.

The documentation for this class was generated from the following file:

- intcca/cartit.h